<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        var tvSamsung =
        {
            nombre: "TV Samsung 42",
            categoria: "Televisores",
            unidades: 4,
            precio: 345.95,
            getImporte() {
                return "Valor total de las unidades: " + this.precio * this.unidades;
            }
        };

        /**let propiedad = "nombre";
        console.log(tvSamsung[propiedad]); //Aina
        **/

        /**propiedad = prompt("Qué propiedad quieres consultar", "unidades");
        console.log(tvSamsung[propiedad]); //Garcia López
        **/

        /**propiedad = prompt("Añade nueva propiedad", "pantalla");
        let valor = prompt("Su valor", "LED");
        tvSamsung[propiedad] = valor;
        console.log(tvSamsung); //{nombre: "Aina", apellidos: "Garcia López", edad: 21, ciclo: "DAMv1", curso: "1ero"}
        **/

        //Punto 1

        for (let i = 1; i <= 3; i++) {
            tvSamsung["colorPixel " + i] = prompt("Color Píxel" + i, "Rojo");
        }
        console.log(tvSamsung);

        //Punto 2

        var propiedades = ["width", "nombre", "resolution"];

        for (var iterator of propiedades) {
            if (iterator in tvSamsung == false) {
                let propiedad = iterator;
                tvSamsung[propiedad] = undefined;

            }
        }

        console.log(tvSamsung);

        //Punto 3

        var div = document.createElement("div");

        for (var iterator in tvSamsung) {
            var p = document.createElement("p");
            var textoTvSamung = document.createTextNode(iterator);
            p.appendChild(textoTvSamung);
            div.appendChild(p);
        }

        var body = document.querySelector("body");
        body.appendChild(div);



    </script>
</body>

</html>